al_fixtoi(3)

NAME

al_fixtoi - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_fixtoi(al_fixed x);

DESCRIPTION

Converts fixed point to integer, rounding as required to the nearest integer.

Example:

    int result;
    /* This will put 33 into `result'. */
    result = al_fixtoi(al_itofix(100) / 3);
    /* But this will round up to 17. */
    result = al_fixtoi(al_itofix(100) / 6);

SEE ALSO

al_itofix(3), al_ftofix(3), al_fixtof(3), al_fixfloor(3), al_fixceil(3).